org.apache.xmlbeans.impl.schema

## Class SchemaTypeCodePrinter

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaTypeCodePrinter

- All Implemented Interfaces:
    SchemaCodePrinter

      public final class SchemaTypeCodePrinter
      extends Object
      implements SchemaCodePrinter

  Prints the java code for a single schema type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaTypeCodePrinter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `indexClassForSystem(SchemaTypeSystem system)`
    `static String` | `javaStringEscape(String str)`
    `void` | `printHolder(Writer writer, SchemaTypeSystem system, XmlOptions opt, org.apache.xmlbeans.impl.repackage.Repackager repackager)`
    `void` | `printType(Writer writer, SchemaType sType, XmlOptions opt)`
    `void` | `printTypeImpl(Writer writer, SchemaType sType, XmlOptions opt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaCodePrinter

      `printType, printTypeImpl`

- - ### Constructor Detail

    - #### SchemaTypeCodePrinter

          public SchemaTypeCodePrinter()

  - ### Method Detail

    - #### printType

          public void printType(Writer writer,
                                SchemaType sType,
                                XmlOptions opt)
                         throws IOException

      Specified by:
        `printType` in interface `SchemaCodePrinter`
      Throws:
        `IOException`

    - #### printTypeImpl

          public void printTypeImpl(Writer writer,
                                    SchemaType sType,
                                    XmlOptions opt)
                             throws IOException

      Specified by:
        `printTypeImpl` in interface `SchemaCodePrinter`
      Throws:
        `IOException`

    - #### indexClassForSystem

          public static String indexClassForSystem(SchemaTypeSystem system)

    - #### javaStringEscape

          public static String javaStringEscape(String str)

    - #### printHolder

          public void printHolder(Writer writer,
                                  SchemaTypeSystem system,
                                  XmlOptions opt,
                                  org.apache.xmlbeans.impl.repackage.Repackager repackager)
                           throws IOException

      Specified by:
        `printHolder` in interface `SchemaCodePrinter`
      Throws:
        `IOException`